package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.AlimentoDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 12/11/2008
 * @version 1.0 12/11/2008
 *
 */

public class GerenteConsultaAlimento {

	/**
	 * 
	 * @param controle
	 * @param codAlimento
	 * @return flag
	 * @throws IOException
	 */

	public static boolean alimentoPorCodigo(ControlePrincipal controle, int codAlimento) throws IOException{		
		return new AlimentoDAO(controle).carregaAlimentos("where id_alimento=" + codAlimento);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codGrupo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean alimentoPorGrupo(ControlePrincipal controle, int codGrupo) throws IOException{		
		return new AlimentoDAO(controle).carregaAlimentos("where id_grupo_alimenticio_alimento=" + codGrupo);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todosAlimentos(ControlePrincipal controle) throws IOException{		
		return new AlimentoDAO(controle).carregaAlimentos("");
	}
}
