package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.ConsultaDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 24/11/2008
 * @version 1.0 24/11/2008
 *
 */

public class GerenteConsultaConsulta {

	/**
	 * 
	 * @param controle
	 * @param codConsulta
	 * @return flag
	 * @throws IOException
	 */

	public static boolean consultaPorCodigo(ControlePrincipal controle, int codConsulta) throws IOException{		
		return new ConsultaDAO(controle).carregaConsultas("where id_consulta=" + codConsulta);
	}
	
	/**
	 * 
	 * @param controle
	 * @param data
	 * @return flag
	 * @throws IOException
	 */

	public static boolean consultaPorData(ControlePrincipal controle, String data) throws IOException{		
		return new ConsultaDAO(controle).carregaConsultas("where data_consulta like '%" + data + "%'");
	}
}
