package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.ConvenioDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 06/11/2008
 * @version 1.0 06/11/2008
 *
 */

public class GerenteConsultaConvenio {
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todosConvenios(ControlePrincipal controle) throws IOException{		
		return new ConvenioDAO(controle).carregaConvenios("");
	}
	
	/**
	 * 
	 * @param controle
	 * @param idConvenio
	 * @return flag
	 * @throws IOException
	 */

	public static boolean convenioPorCodigo(ControlePrincipal controle, int idConvenio) throws IOException{		
		return new ConvenioDAO(controle).carregaConvenios("where id_convenio=" + idConvenio);
	}
	
	/**
	 * 
	 * @param controle
	 * @param nome
	 * @return flag
	 * @throws IOException
	 */

	public static boolean convenioPorNome(ControlePrincipal controle, String nome) throws IOException{		
		return new ConvenioDAO(controle).carregaConvenios("where nome_convenio like '%" + nome + "%'");
	}
}
