package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.ExameCadastradoDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 06/11/2008
 * @version 1.0 06/11/2008
 *
 */

public class GerenteConsultaExameCadastrado {

	/**
	 * 
	 * @param controle
	 * @param nome
	 * @return flag
	 * @throws IOException
	 */

	public static boolean examePorNome(ControlePrincipal controle, String nome) throws IOException{		
		return new ExameCadastradoDAO(controle).carregaExamesCadastrados("where nome_exame like '%" + nome + "%'");
	}
	
	/**
	 * 
	 * @param controle
	 * @param unidade
	 * @return flag
	 * @throws IOException
	 */

	public static boolean examePorUnidade(ControlePrincipal controle, int unidade) throws IOException{		
		return new ExameCadastradoDAO(controle).carregaExamesCadastrados("where id_unidade_exame=" + unidade);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codExame
	 * @return flag
	 * @throws IOException
	 */

	public static boolean examePorCodigo(ControlePrincipal controle, int codExame) throws IOException{		
		return new ExameCadastradoDAO(controle).carregaExamesCadastrados("where id_exame=" + codExame);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */
	
	public static boolean todosExames(ControlePrincipal controle) throws IOException{		
		return new ExameCadastradoDAO(controle).carregaExamesCadastrados("");
	}
}
