package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.GrupoAlimenticioDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 12/11/2008
 * @version 1.0 12/11/2008
 *
 */

public class GerenteConsultaGrupoAlimenticio {

	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean grupoPorCodigo(ControlePrincipal controle, int codigo) throws IOException{		
		return new GrupoAlimenticioDAO(controle).carregaGrupoAlimenticio("where id_grupo_alimenticio=" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todosGrupos(ControlePrincipal controle) throws IOException{		
		return new GrupoAlimenticioDAO(controle).carregaGrupoAlimenticio("");
	}
}
