package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.IntoleranciaPacienteDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 04/12/2008
 * @version 1.0 04/12/2008
 *
 */

public class GerenteConsultaIntoleranciaPaciente {

	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean intoleranciaPorCodigo(ControlePrincipal controle, int codigo) throws IOException{		
		return new IntoleranciaPacienteDAO(controle).carregaIntoleranciasPaciente("where id_intolerancia_paciente=" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean intoleranciaPorPaciente(ControlePrincipal controle, int codigo) throws IOException{		
		return new IntoleranciaPacienteDAO(controle).carregaIntoleranciasPaciente("where id_paciente_intolerancia_paciente=" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todasIntolerancias(ControlePrincipal controle) throws IOException{		
		return new IntoleranciaPacienteDAO(controle).carregaIntoleranciasPaciente("");
	}
}
