package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.NomeGenericoDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 12/11/2008
 * @version 1.0 12/11/2008
 *
 */

public class GerenteConsultaNomeGenerico {

	/**
	 * 
	 * @param controle
	 * @param nome
	 * @return flag
	 * @throws IOException
	 */

	public static boolean nomeGenericoPorNome(ControlePrincipal controle, String nome) throws IOException{		
		return new NomeGenericoDAO(controle).carregaNomesGenericos("where descr_nome_generico like '%" + nome + "%'");
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean nomeGenericoPorCodigo(ControlePrincipal controle, int codigo) throws IOException{		
		return new NomeGenericoDAO(controle).carregaNomesGenericos("where id_nome_generico =" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean nomeGenericoPorCodigoMedicamento(ControlePrincipal controle, int codigo) throws IOException{		
		return new NomeGenericoDAO(controle).carregaNomesGenericos("where id_medicamento_nome_generico =" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todosNomes(ControlePrincipal controle) throws IOException{		
		return new NomeGenericoDAO(controle).carregaNomesGenericos("");
	}
}
