package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.ProfissaoDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 04/11/2008
 * @version 1.0 04/11/2008
 *
 */

public class GerenteConsultaProfissao {

	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todasProfissoes(ControlePrincipal controle) throws IOException{		
		return new ProfissaoDAO(controle).carregaProfissoes("");
	}
	
	/**
	 * 
	 * @param controle
	 * @param codProfissao
	 * @return flag
	 * @throws IOException
	 */

	public static boolean profissaoPorCodigo(ControlePrincipal controle, int codProfissao) throws IOException{		
		return new ProfissaoDAO(controle).carregaProfissoes("and id_profissao=" + codProfissao);
	}
}
