package br.ufpr.mityba.model;

/**
 * @author Mityba
 * @since 17/11/2008
 * @version 1.0 17/11/2008
 *
 */
public class Consulta {
	
	private int idConsulta;
	private int idHorarioConsulta;
	private int idConvenioConsulta;
	private int idPacienteConsulta;
	private int idUsuarioConsulta;
	private int idStatusConsulta;
	
	private boolean ePrimeiraConsulta;

	private String dataConsulta;
	private String obsConsulta;

	/**
	 * 
	 * @param idConsulta
	 * @param idHorarioConsulta
	 * @param idConvenioConsulta
	 * @param idPacienteConsulta
	 * @param idUsuarioConsulta
	 * @param idStatusConsulta
	 * @param ePrimeiraConsulta
	 * @param obsConsulta
	 * @param dataConsulta
	 */
	public Consulta(int idConsulta, int idHorarioConsulta, int idConvenioConsulta, int idPacienteConsulta,
		int idUsuarioConsulta, int idStatusConsulta, boolean ePrimeiraConsulta, String obsConsulta, String dataConsulta) 
	{
		setIdConsulta			(idConsulta);
		setIdHorarioConsulta	(idHorarioConsulta);
		setIdConvenioConsulta	(idConvenioConsulta);
		setIdStatusConsulta		(idStatusConsulta);
		setEPrimeiraConsulta	(ePrimeiraConsulta);
		setObsConsulta			(obsConsulta);
		setDataConsulta			(dataConsulta);
		setIdPacienteConsulta	(idPacienteConsulta);
		setIdUsuarioConsulta	(idUsuarioConsulta);
	}

	/**
	 * @return the dataConsulta
	 */
	public String getDataConsulta() {
		return dataConsulta;
	}

	/**
	 * @param dataConsulta the dataConsulta to set
	 */
	public void setDataConsulta(String dataConsulta) {
		this.dataConsulta = dataConsulta;
	}

	/**
	 * @return the idConsulta
	 */
	public int getIdConsulta() {
		return idConsulta;
	}

	/**
	 * @param idConsulta the idConsulta to set
	 */
	public void setIdConsulta(int idConsulta) {
		this.idConsulta = idConsulta;
	}

	/**
	 * @return the idHorarioConsulta
	 */
	public int getIdHorarioConsulta() {
		return idHorarioConsulta;
	}

	/**
	 * @param idHorarioConsulta the idHorarioConsulta to set
	 */
	public void setIdHorarioConsulta(int idHorarioConsulta) {
		this.idHorarioConsulta = idHorarioConsulta;
	}

	/**
	 * @return the idConvenioConsulta
	 */
	public int getIdConvenioConsulta() {
		return idConvenioConsulta;
	}

	/**
	 * @param idConvenioConsulta the idConvenioConsulta to set
	 */
	public void setIdConvenioConsulta(int idConvenioConsulta) {
		this.idConvenioConsulta = idConvenioConsulta;
	}

	/**
	 * @return the idPacienteConsulta
	 */
	public int getIdPacienteConsulta() {
		return idPacienteConsulta;
	}

	/**
	 * @param idPacienteConsulta the idPacienteConsulta to set
	 */
	public void setIdPacienteConsulta(int idPacienteConsulta) {
		this.idPacienteConsulta = idPacienteConsulta;
	}

	/**
	 * @return the idUsuarioConsulta
	 */
	public int getIdUsuarioConsulta() {
		return idUsuarioConsulta;
	}

	/**
	 * @param idUsuarioConsulta the idUsuarioConsulta to set
	 */
	public void setIdUsuarioConsulta(int idUsuarioConsulta) {
		this.idUsuarioConsulta = idUsuarioConsulta;
	}

	/**
	 * @return the idStatusConsulta
	 */
	public int getIdStatusConsulta() {
		return idStatusConsulta;
	}

	/**
	 * @param idStatusConsulta the idStatusConsulta to set
	 */
	public void setIdStatusConsulta(int idStatusConsulta) {
		this.idStatusConsulta = idStatusConsulta;
	}

	/**
	 * @return the ePrimeiraConsulta
	 */
	public boolean isEPrimeiraConsulta() {
		return ePrimeiraConsulta;
	}

	/**
	 * @param primeiraConsulta the ePrimeiraConsulta to set
	 */
	public void setEPrimeiraConsulta(boolean primeiraConsulta) {
		ePrimeiraConsulta = primeiraConsulta;
	}

	/**
	 * @return the obsConsulta
	 */
	public String getObsConsulta() {
		return obsConsulta;
	}

	/**
	 * @param obsConsulta the obsConsulta to set
	 */
	public void setObsConsulta(String obsConsulta) {
		this.obsConsulta = obsConsulta;
	}

}
