package br.ufpr.mityba.model;

/**
 * @author Mityba
 * @since 20/10/2008
 * @version 1.0
 *
 */
public class Endereco {
	
	private int idEndereco;
	
	private String cepEndereco;
	private String tipoLogradouro;
	private String nomeLogradouro;
	private String nomeBairro;
	private String nomeCidade;
	private String nomeUF;

	/**
	 * 
	 * @param idEndereco
	 * @param cepEndereco
	 * @param tipoLogradouro
	 * @param nomeLogradouro
	 * @param nomeBairro
	 * @param nomeCidade
	 * @param nomeUF
	 */
	
	public Endereco(int idEndereco, String cepEndereco, String tipoLogradouro, String nomeLogradouro, 
			String nomeBairro, String nomeCidade, String nomeUF) {
	
		setIdEndereco		(idEndereco);
		setCepEndereco		(cepEndereco);
		setTipoLogradouro	(tipoLogradouro);
		setNomeLogradouro	(nomeLogradouro);
		setNomeBairro		(nomeBairro);
		setNomeCidade		(nomeCidade);
		setNomeUF			(nomeUF);
	}
	
	/**
	 * @return the idEndereco
	 */
	public int getIdEndereco() {
		return idEndereco;
	}

	/**
	 * @param idEndereco the idEndereco to set
	 */
	public void setIdEndereco(int idEndereco) {
		this.idEndereco = idEndereco;
	}

	/**
	 * @return the cepEndereco
	 */
	public String getCepEndereco() {
		return cepEndereco;
	}

	/**
	 * @param cepEndereco the cepEndereco to set
	 */
	public void setCepEndereco(String cepEndereco) {
		this.cepEndereco = cepEndereco;
	}

	/**
	 * @return the tipoLogradouro
	 */
	public String getTipoLogradouro() {
		return tipoLogradouro;
	}

	/**
	 * @param tipoLogradouro the tipoLogradouro to set
	 */
	public void setTipoLogradouro(String tipoLogradouro) {
		this.tipoLogradouro = tipoLogradouro;
	}

	/**
	 * @return the nomeLogradouro
	 */
	public String getNomeLogradouro() {
		return nomeLogradouro;
	}

	/**
	 * @param nomeLogradouro the nomeLogradouro to set
	 */
	public void setNomeLogradouro(String nomeLogradouro) {
		this.nomeLogradouro = nomeLogradouro;
	}

	/**
	 * @return the nomeBairro
	 */
	public String getNomeBairro() {
		return nomeBairro;
	}

	/**
	 * @param nomeBairro the nomeBairro to set
	 */
	public void setNomeBairro(String nomeBairro) {
		this.nomeBairro = nomeBairro;
	}

	/**
	 * @return the nomeCidade
	 */
	public String getNomeCidade() {
		return nomeCidade;
	}

	/**
	 * @param nomeCidade the nomeCidade to set
	 */
	public void setNomeCidade(String nomeCidade) {
		this.nomeCidade = nomeCidade;
	}

	/**
	 * @return the nomeUF
	 */
	public String getNomeUF() {
		return nomeUF;
	}

	/**
	 * @param nomeUF the nomeUF to set
	 */
	public void setNomeUF(String nomeUF) {
		this.nomeUF = nomeUF;
	}
}