package br.ufpr.mityba.model;

/**
 * @author Mityba
 *
 */
public class Lancamento {
	
	private int idFinanceiro;
	private int idConvenioFinanceiro;	
	private int idStatusConsultaFinanceiro;
	
	private double valorLancamentoFinanceiro;
	
	private String dataLancamento;

	/**
	 * 
	 * @param idFinanceiro
	 * @param idConvenioFinanceiro
	 * @param idStatusConsultaFinanceiro
	 * @param valorLancamentoFinanceiro
	 * @param dataLancamento
	 */
	public Lancamento(int idFinanceiro, int idConvenioFinanceiro, int idStatusConsultaFinanceiro, double valorLancamentoFinanceiro, String dataLancamento) {
		
		setIdFinanceiro					(idFinanceiro);
		setIdConvenioFinanceiro			(idConvenioFinanceiro);
		setIdStatusConsultaFinanceiro	(idStatusConsultaFinanceiro);
		setValorLancamentoFinanceiro	(valorLancamentoFinanceiro);
		setDataLancamento				(dataLancamento);
	}

	/**
	 * @return the idFinanceiro
	 */
	public int getIdFinanceiro() {
		return idFinanceiro;
	}

	/**
	 * @return the idConvenioFinanceiro
	 */
	public int getIdConvenioFinanceiro() {
		return idConvenioFinanceiro;
	}

	/**
	 * @return the idStatusConsultaFinanceiro
	 */
	public int getIdStatusConsultaFinanceiro() {
		return idStatusConsultaFinanceiro;
	}

	/**
	 * @return the valorLancamentoFinanceiro
	 */
	public double getValorLancamentoFinanceiro() {
		return valorLancamentoFinanceiro;
	}

	/**
	 * @param idFinanceiro the idFinanceiro to set
	 */
	public void setIdFinanceiro(int idFinanceiro) {
		this.idFinanceiro = idFinanceiro;
	}

	/**
	 * @param idConvenioFinanceiro the idConvenioFinanceiro to set
	 */
	public void setIdConvenioFinanceiro(int idConvenioFinanceiro) {
		this.idConvenioFinanceiro = idConvenioFinanceiro;
	}

	/**
	 * @param idStatusConsultaFinanceiro the idStatusConsultaFinanceiro to set
	 */
	public void setIdStatusConsultaFinanceiro(int idStatusConsultaFinanceiro) {
		this.idStatusConsultaFinanceiro = idStatusConsultaFinanceiro;
	}

	/**
	 * @param valorLancamentoFinanceiro the valorLancamentoFinanceiro to set
	 */
	public void setValorLancamentoFinanceiro(double valorLancamentoFinanceiro) {
		this.valorLancamentoFinanceiro = valorLancamentoFinanceiro;
	}

	/**
	 * @return the dataLancamento
	 */
	public String getDataLancamento() {
		return dataLancamento;
	}

	/**
	 * @param dataLancamento the dataLancamento to set
	 */
	public void setDataLancamento(String dataLancamento) {
		this.dataLancamento = dataLancamento;
	}

}
