package br.ufpr.mityba.model;

/**
 * 
 * @author Mityba
 * @since 24/10/2008
 * @version 1.0
 *
 */

public class Mensagem {
	
	private int idMensagem;
	private int idProfissaoMensagem;
	private int idTipoMensagem;
	private int qdeDiasAntesMensagem;
	
	private String dataEnvioMensagem;
	private String tituloMensagem;
	private String descricaoMensagem;
	
	/**
	 * 
	 * @param idMensagem
	 * @param idProfissaoMensagem
	 * @param idTipoMensagem
	 * @param qdeDiasAntesMensagem
	 * @param dataEnvioMensagem
	 * @param tituloMensagem
	 * @param descricaoMensagem
	 */

	public Mensagem(int idMensagem, int idProfissaoMensagem, int idTipoMensagem, int qdeDiasAntesMensagem, 
			String dataEnvioMensagem, String tituloMensagem, String descricaoMensagem) 
	{
		setIdMensagem(idMensagem);
		setIdProfissaoMensagem(idProfissaoMensagem);
		setIdTipoMensagem(idTipoMensagem);
		setQdeDiasAntesMensagem(qdeDiasAntesMensagem);
		setDataEnvioMensagem(dataEnvioMensagem);
		setTituloMensagem(tituloMensagem);
		setDescricaoMensagem(descricaoMensagem);
	}

	/**
	 * @return the idMensagem
	 */
	public int getIdMensagem() {
		return idMensagem;
	}

	/**
	 * @return the idProfissaoMensagem
	 */
	public int getIdProfissaoMensagem() {
		return idProfissaoMensagem;
	}

	/**
	 * @return the idTipoMensagem
	 */
	public int getIdTipoMensagem() {
		return idTipoMensagem;
	}

	/**
	 * @return the qdeDiasAntesMensagem
	 */
	public int getQdeDiasAntesMensagem() {
		return qdeDiasAntesMensagem;
	}

	/**
	 * @return the dataEnvioMensagem
	 */
	public String getDataEnvioMensagem() {
		return dataEnvioMensagem;
	}

	/**
	 * @return the tituloMensagem
	 */
	public String getTituloMensagem() {
		return tituloMensagem;
	}

	/**
	 * @return the descricaoMensagem
	 */
	public String getDescricaoMensagem() {
		return descricaoMensagem;
	}

	/**
	 * @param idMensagem the idMensagem to set
	 */
	public void setIdMensagem(int idMensagem) {
		this.idMensagem = idMensagem;
	}

	/**
	 * @param idProfissaoMensagem the idProfissaoMensagem to set
	 */
	public void setIdProfissaoMensagem(int idProfissaoMensagem) {
		this.idProfissaoMensagem = idProfissaoMensagem;
	}

	/**
	 * @param idTipoMensagem the idTipoMensagem to set
	 */
	public void setIdTipoMensagem(int idTipoMensagem) {
		this.idTipoMensagem = idTipoMensagem;
	}

	/**
	 * @param qdeDiasAntesMensagem the qdeDiasAntesMensagem to set
	 */
	public void setQdeDiasAntesMensagem(int qdeDiasAntesMensagem) {
		this.qdeDiasAntesMensagem = qdeDiasAntesMensagem;
	}

	/**
	 * @param dataEnvioMensagem the dataEnvioMensagem to set
	 */
	public void setDataEnvioMensagem(String dataEnvioMensagem) {
		this.dataEnvioMensagem = dataEnvioMensagem;
	}

	/**
	 * @param tituloMensagem the tituloMensagem to set
	 */
	public void setTituloMensagem(String tituloMensagem) {
		this.tituloMensagem = tituloMensagem;
	}

	/**
	 * @param descricaoMensagem the descricaoMensagem to set
	 */
	public void setDescricaoMensagem(String descricaoMensagem) {
		this.descricaoMensagem = descricaoMensagem;
	}

}
