package br.ufpr.mityba.model;

/**
 * @author Mityba
 * @since 21/10/2008
 * @version 1.0 21/10/2008
 * @version 2.0 30/10/2008
 * @version 2.0.1 31/10/2008
 *
 */
public class Paciente {
	
	private int idPaciente;
	private int idProfissao;
	private int idConvenio;
	private int indicacao;
	
	private String nome;
	private String dtNasc;
	private String idade;
	private String sexo;
	private String ativo;
	private String estadoCivil;
	private String cep;
	private String logradouro;
	private String numEndereco;
	private String complemento;
	private String bairro;
	private String cidade;
	private String uf;
	private String foneRes;
	private String foneCom;
	private String foneCel;
	private String email;
	private String descrIndicacao;
	private String acessoEmail;
	
	/**
	 * 
	 * @param idPaciente
	 * @param idProfissao
	 * @param idConvenio
	 * @param indicacao
	 * @param nome
	 * @param dtNasc
	 * @param idade
	 * @param sexo
	 * @param ativo
	 * @param estadoCivil
	 * @param cep
	 * @param logradouro
	 * @param numEndereco
	 * @param complemento
	 * @param bairro
	 * @param cidade
	 * @param uf
	 * @param foneRes
	 * @param foneCom
	 * @param foneCel
	 * @param email
	 * @param descrIndicacao
	 * @param acessoEmail
	 */
	
	public Paciente(int idPaciente, int idProfissao, int idConvenio, int indicacao,  String nome, String dtNasc, String idade, String sexo, String ativo,
						String estadoCivil, String cep, String logradouro, String numEndereco, String complemento, String bairro, String cidade,
						String uf, String foneRes, String foneCom, String foneCel, String email, String descrIndicacao, 
						String acessoEmail)
	{
		setIdPaciente(idPaciente);
		setIdProfissao(idProfissao);
		setIdConvenio(idConvenio);
		setNome(nome);
		setDtNasc(dtNasc);
		setIdade(idade);
		setSexo(sexo);
		setAtivo(ativo);
		setEstadoCivil(estadoCivil);
		setCep(cep);
		setLogradouro(logradouro);
		setNumEndereco(numEndereco);
		setComplemento(complemento);
		setBairro(bairro);
		setCidade(cidade);
		setUf(uf);
		setFoneRes(foneRes);
		setFoneCom(foneCom);
		setFoneCel(foneCel);
		setEmail(email);
		setIndicacao(indicacao);
		setDescrIndicacao(descrIndicacao);
		setAcessoEmail(acessoEmail);
	}
	
	/**
	 * 
	 */
	
	public Paciente(){
		setNome				("");
		setDtNasc			("");
		setIdade			("");
		setSexo				("");
		setAtivo			("");
		setEstadoCivil		("");
		setCep				("");
		setLogradouro		("");
		setNumEndereco		("");
		setComplemento		("");
		setBairro			("");
		setCidade			("");
		setUf				("");
		setFoneRes			("");
		setFoneCom			("");
		setFoneCel			("");
		setEmail			("");
		setDescrIndicacao	("");
		setAcessoEmail		("");
	}

	/**
	 * @return the acessoEmail
	 */
	public String getAcessoEmail() {
		return acessoEmail;
	}

	/**
	 * @param acessoEmail the acessoEmail to set
	 */
	public void setAcessoEmail(String acessoEmail) {
		this.acessoEmail = acessoEmail;
	}

	/**
	 * @return the idPaciente
	 */
	public int getIdPaciente() {
		return idPaciente;
	}

	/**
	 * @return the idProfissao
	 */
	public int getIdProfissao() {
		return idProfissao;
	}

	/**
	 * @return the idConvenio
	 */
	public int getIdConvenio() {
		return idConvenio;
	}

	/**
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}

	/**
	 * @return the dtNasc
	 */
	public String getDtNasc() {
		return dtNasc;
	}

	/**
	 * @return the idade
	 */
	public String getIdade() {
		return idade;
	}

	/**
	 * @return the sexo
	 */
	public String getSexo() {
		return sexo;
	}

	/**
	 * @return the ativo
	 */
	public String getAtivo() {
		return ativo;
	}

	/**
	 * @return the estadoCivil
	 */
	public String getEstadoCivil() {
		return estadoCivil;
	}

	/**
	 * @return the cep
	 */
	public String getCep() {
		return cep;
	}

	/**
	 * @return the logradouro
	 */
	public String getLogradouro() {
		return logradouro;
	}

	/**
	 * @return the numEndereco
	 */
	public String getNumEndereco() {
		return numEndereco;
	}

	/**
	 * @return the complemento
	 */
	public String getComplemento() {
		return complemento;
	}

	/**
	 * @return the bairro
	 */
	public String getBairro() {
		return bairro;
	}

	/**
	 * @return the cidade
	 */
	public String getCidade() {
		return cidade;
	}

	/**
	 * @return the uf
	 */
	public String getUf() {
		return uf;
	}

	/**
	 * @return the foneRes
	 */
	public String getFoneRes() {
		return foneRes;
	}

	/**
	 * @return the foneCom
	 */
	public String getFoneCom() {
		return foneCom;
	}

	/**
	 * @return the foneCel
	 */
	public String getFoneCel() {
		return foneCel;
	}

	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * @return the indicacao
	 */
	public int getIndicacao() {
		return indicacao;
	}

	/**
	 * @return the descrIndicacao
	 */
	public String getDescrIndicacao() {
		return descrIndicacao;
	}

	/**
	 * @param idPaciente the idPaciente to set
	 */
	public void setIdPaciente(int idPaciente) {
		this.idPaciente = idPaciente;
	}

	/**
	 * @param idProfissao the idProfissao to set
	 */
	public void setIdProfissao(int idProfissao) {
		this.idProfissao = idProfissao;
	}

	/**
	 * @param idConvenio the idConvenio to set
	 */
	public void setIdConvenio(int idConvenio) {
		this.idConvenio = idConvenio;
	}

	/**
	 * @param nome the nome to set
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}

	/**
	 * @param dtNasc the dtNasc to set
	 */
	public void setDtNasc(String dtNasc) {
		this.dtNasc = dtNasc;
	}

	/**
	 * @param idade the idade to set
	 */
	public void setIdade(String idade) {
		this.idade = idade;
	}

	/**
	 * @param sexo the sexo to set
	 */
	public void setSexo(String sexo) {
		this.sexo = sexo;
	}

	/**
	 * @param ativo the ativo to set
	 */
	public void setAtivo(String ativo) {
		this.ativo = ativo;
	}

	/**
	 * @param estadoCivil the estadoCivil to set
	 */
	public void setEstadoCivil(String estadoCivil) {
		this.estadoCivil = estadoCivil;
	}

	/**
	 * @param cep the cep to set
	 */
	public void setCep(String cep) {
		this.cep = cep;
	}

	/**
	 * @param logradouro the logradouro to set
	 */
	public void setLogradouro(String logradouro) {
		this.logradouro = logradouro;
	}

	/**
	 * @param numEndereco the numEndereco to set
	 */
	public void setNumEndereco(String numEndereco) {
		this.numEndereco = numEndereco;
	}

	/**
	 * @param complemento the complemento to set
	 */
	public void setComplemento(String complemento) {
		this.complemento = complemento;
	}

	/**
	 * @param bairro the bairro to set
	 */
	public void setBairro(String bairro) {
		this.bairro = bairro;
	}

	/**
	 * @param cidade the cidade to set
	 */
	public void setCidade(String cidade) {
		this.cidade = cidade;
	}

	/**
	 * @param uf the uf to set
	 */
	public void setUf(String uf) {
		this.uf = uf;
	}

	/**
	 * @param foneRes the foneRes to set
	 */
	public void setFoneRes(String foneRes) {
		this.foneRes = foneRes;
	}

	/**
	 * @param foneCom the foneCom to set
	 */
	public void setFoneCom(String foneCom) {
		this.foneCom = foneCom;
	}

	/**
	 * @param foneCel the foneCel to set
	 */
	public void setFoneCel(String foneCel) {
		this.foneCel = foneCel;
	}

	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * @param indicacao the indicacao to set
	 */
	public void setIndicacao(int indicacao) {
		this.indicacao = indicacao;
	}

	/**
	 * @param descrIndicacao the descrIndicacao to set
	 */
	public void setDescrIndicacao(String descrIndicacao) {
		this.descrIndicacao = descrIndicacao;
	}
}
