package br.ufpr.mityba.util;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;

import br.ufpr.mityba.arquitetura.ProcessoBatch;

/**
 * @author Mityba
 * @since 16/10/2008
 * @version 1.0 16/10/2008
 *
 */
public class ThreadHorario extends Thread {

	/**
	 * 
	 */
	public void run(){
		
		while(true){
			
			if (new SimpleDateFormat("HH:mm").format(new Date()).equals("00:01")){
				
				try {
					new ProcessoBatch(new SimpleDateFormat("dd/MM/yyyy").format(new Date()));
				} catch (IOException e) {
					e.printStackTrace();
				}

				try {					
					sleep(59999);					
				} catch (InterruptedException e) {
					break;
				}

			} else {
				
				try {
					sleep(60000);					
				} catch (InterruptedException e) {
					break;
				}
			}
		}
	}
}
