package br.ufpr.mityba.util;

import java.util.TreeSet;
import java.util.Vector;

/**
 * 
 * @author Mityba
 * @since 17/11/2008
 * @version 1.0 17/11/2008
 *
 */

public class Utilitarios {
	
	/**
	 * 
	 * @param vetor
	 * @return vetorOrdenado
	 */

	@SuppressWarnings("unchecked")
	public static String[] ordenaVetor(String[] vetor){

		int tamanho = vetor.length;
		
		Vector<String> vector  = new Vector<String>();

		for(int i = 0;i < vetor.length;i++)
			vector.add(vetor[i]);

		TreeSet treeSet = new TreeSet(vector);
		Object[] object = treeSet.toArray();
		
		vetor = new String[tamanho];

		for(int i = 0; i < object.length; i++)
			vetor[i] = (String) object[i];

		return vetor;
	}
	
	/**
	 * 
	 * @param mes
	 * @return descrMes
	 */
	
	public static String getMes(int mes){
		
		switch (mes) {
		case 1:
			return "Jan";
		case 2:
			return "Fev";
		case 3:
			return "Mar";
		case 4:
			return "Abr";
		case 5:
			return "Mai";
		case 6:
			return "Jun";
		case 7:
			return "Jul";
		case 8:
			return "Ago";
		case 9:
			return "Set";
		case 10:
			return "Out";
		case 11:
			return "Nov";
		case 12:
			return "Dez";
		default:
			return "NDA";
		}
	}
	
	/**
	 * 
	 * @param diaSemana
	 * @return diaSemanaSistemico
	 */
	
	public static int getDiaSemana(int diaSemana){
		
		if(diaSemana == 2)
			return Constantes.COD_SEGUNDA_FEIRA;
		
		if(diaSemana == 3)
			return Constantes.COD_TERCA_FEIRA;
		
		if(diaSemana == 4)
			return Constantes.COD_QUARTA_FEIRA;
		
		if(diaSemana == 5)
			return Constantes.COD_QUINTA_FEIRA;
		
		if(diaSemana == 6)
			return Constantes.COD_SEXTA_FEIRA;
		
		if(diaSemana == 7)
			return Constantes.COD_SABADO;
		
		if(diaSemana == 1)
			return Constantes.COD_DOMINGO;
		
		return -1;
	}
}
