package br.ufpr.mityba.controller;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

import br.ufpr.mityba.util.Constantes;

 /**
  *   
  * @author Mityba
  * @since 30/10/2008
  * @version 1.0
  */
public class Conexao {
   
   private static Connection conn 	= null;
   private static String username 	= Constantes.USER;
   private static String password 	= Constantes.SENHA;
   private static String URL 		= "jdbc:postgresql:" + Constantes.BANCO_DADOS;

   /**
    * 
    * @return conexo estabelecida.
    */
   
   	public static Connection getConnection() {
	   
	   try{
	       if (conn == null || conn.isClosed()) {
	    	   Class.forName("org.postgresql.Driver");
	    	   conn = DriverManager.getConnection(URL, username, password); 
	       } 
	   } catch (SQLException e) {

			e.printStackTrace();

		} catch (ClassNotFoundException e) {

			e.printStackTrace();

		} catch (Exception e) {

			e.printStackTrace();
		}
		
		return conn;
   	}
   
   /**
    * 
    * @param connection
    * @throws SQLException
    */
   
   public static void stopConnection(Connection connection) throws SQLException{
	   
	   try{
		   
		   connection.close();
		   
	   } catch (SQLException e) {

			e.printStackTrace();

		} catch (Exception e) {

			e.printStackTrace();
		}
   }
}

