package br.ufpr.mityba.controller;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 
 * @author Mityba
 *
 */

public class GerenteCalendario {

	/**
	 * 
	 * @return month days
	 */

	public static int[] carregaArrayMeses() {

		int[] monthdays = new int[12];
		monthdays[0] = 31;
		monthdays[1] = 28;
		monthdays[2] = 31;
		monthdays[3] = 30;
		monthdays[4] = 31;
		monthdays[5] = 30;
		monthdays[6] = 31;
		monthdays[7] = 31;
		monthdays[8] = 30;
		monthdays[9] = 31;
		monthdays[10] = 30;
		monthdays[11] = 31;

		int thisyear = Integer.parseInt(new SimpleDateFormat("yyyy").format(new Date()));

		if (((thisyear % 4 == 0) && !(thisyear % 100 == 0)) || (thisyear % 400 == 0))
			monthdays[1]++;

		return monthdays;
	}
	
	/**
	 * 
	 * @param mes
	 * @return descricao do mes
	 */

	public static String descricaoMes(int mes){
		
		switch (mes) {
		case 1:
			return "janeiro";
		case 2:
			return "fevereiro";
		case 3:
			return "maro";
		case 4:
			return "abril";
		case 5:
			return "maio";
		case 6:
			return "junho";
		case 7:
			return "julho";
		case 8:
			return "agosto";
		case 9:
			return "setembro";
		case 10:
			return "outubro";
		case 11:
			return "novembro";
		case 12:
			return "dezembro";
		default:
			return "desconhecido";
		}
	}
}
