package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.DiarioAlimentacaoPacienteDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 12/11/2008
 * @version 1.0 12/11/2008
 *
 */

public class GerenteConsultaDiarioAlimentacao {

	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean diarioPorCodigo(ControlePrincipal controle, int codigo) throws IOException{		
		return new DiarioAlimentacaoPacienteDAO(controle).carregaDiarioAlimentacao("where id_diario_alimentacao_paciente=" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean diarioPorPaciente(ControlePrincipal controle, int codigo) throws IOException{		
		return new DiarioAlimentacaoPacienteDAO(controle).carregaDiarioAlimentacao("where id_paciente_diario_alimentacao_paciente=" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @param data
	 * @return flag
	 * @throws IOException
	 */

	public static boolean diarioPorPacienteEData(ControlePrincipal controle, int codigo, String data) throws IOException{		
		return new DiarioAlimentacaoPacienteDAO(controle).carregaDiarioAlimentacao("where id_paciente_diario_alimentacao_paciente=" + codigo +
																					" and data_referencia_diario_alimentacao_paciente='" + data + "'");
	}
}
