package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.DietaApoioDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 23/11/2008
 * @version 1.0 23/11/2008
 *
 */

public class GerenteConsultaDietaApoio {

	/**
	 * 
	 * @param controle
	 * @param titulo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean dietasApoioPorTitulo(ControlePrincipal controle, String titulo) throws IOException{		
		return new DietaApoioDAO(controle).carregaDietasApoio("where titulo_dieta_apoio like '%" + titulo + "%'");
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean dietasApoioPorCodigo(ControlePrincipal controle, int codigo) throws IOException{		
		return new DietaApoioDAO(controle).carregaDietasApoio("where id_dieta_apoio =" + codigo);
	}
}
