package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.HistoricoPacienteDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 03/12/2008
 * @version 1.0 03/12/2008
 *
 */

public class GerenteConsultaHistoricoPaciente {

	/**
	 * 
	 * @param controle
	 * @param codPaciente
	 * @return flag
	 * @throws IOException
	 */

	public static boolean historicoPorCodigoPaciente(ControlePrincipal controle, int codPaciente) throws IOException{		
		return new HistoricoPacienteDAO(controle).carregaHistoricoPaciente("where id_paciente_historico_paciente=" + codPaciente);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codConsulta
	 * @return flag
	 * @throws IOException
	 */

	public static boolean historicoPorCodigoConsulta(ControlePrincipal controle, int codConsulta) throws IOException{		
		return new HistoricoPacienteDAO(controle).carregaHistoricoPaciente("where id_consulta_historico_paciente=" + codConsulta);
	}
}
