package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.IntervaloHorarioConsultaDAO;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 24/11/2008
 * @version 1.0 24/11/2008
 * @version 2.0 25/11/2008
 *
 */

public class GerenteConsultaIntervaloHorarioConsulta {

	/**
	 * 
	 * @param hora
	 * @param idUsuario
	 * @param diaSemana
	 * @return flag
	 * @throws IOException
	 */

	public static boolean existeIntervaloHoraDiaSemana(int hora, int idUsuario, int diaSemana) throws IOException{		
		return new IntervaloHorarioConsultaDAO().existeIntervalosHoraHorarioConsulta(hora, idUsuario, diaSemana);
	}
	

	/**
	 * 
	 * @param controle
	 * @param diaSemana
	 * @param idUsuario
	 * @return flag
	 * @throws IOException
	 */

	public static boolean intervalosPorDiaSemana(ControlePrincipal controle, int diaSemana, int idUsuario) throws IOException{		
		return new IntervaloHorarioConsultaDAO(controle).carregaIntervalosHorarioConsulta(
			"where id_intervalo_horario_consulta <> 0 and dia_semana_intervalo_horario_consulta=" + diaSemana + " and id_usuario_intervalo_horario_consulta=" + idUsuario);
	}
}
