package br.ufpr.mityba.controller;

import java.io.IOException;

import br.ufpr.mityba.dao.MensagemDAO;
import br.ufpr.mityba.util.Constantes;
import br.ufpr.mityba.util.ControlePrincipal;

/**
 * 
 * @author Mityba
 * @since 04/11/2008
 * @version 1.0 04/11/2008
 *
 */

public class GerenteConsultaMensagem {

	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean mensagensAniversario(ControlePrincipal controle) throws IOException{		
		return new MensagemDAO(controle).carregaMensagens("where id_tp_mensagem=" + Constantes.COD_MSG_ANIVERSARIO);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean mensagensConsulta(ControlePrincipal controle) throws IOException{		
		return new MensagemDAO(controle).carregaMensagens("where id_tp_mensagem=" + Constantes.COD_MSG_AVISO_CONSULTA);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean mensagensDiaProfissional(ControlePrincipal controle) throws IOException{		
		return new MensagemDAO(controle).carregaMensagens("where id_tp_mensagem=" + Constantes.COD_MSG_DIA_PROFISSIONAL);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean mensagensBoasVindas(ControlePrincipal controle) throws IOException{		
		return new MensagemDAO(controle).carregaMensagens("where id_tp_mensagem=" + Constantes.COD_MSG_BOAS_VINDAS);
	}
	
	/**
	 * 
	 * @param controle
	 * @param codigo
	 * @return flag
	 * @throws IOException
	 */

	public static boolean mensagensProfissao(ControlePrincipal controle, String codigo) throws IOException{		
		return new MensagemDAO(controle).carregaMensagens("where id_profissao_mensagem=" + codigo);
	}
	
	/**
	 * 
	 * @param controle
	 * @return flag
	 * @throws IOException
	 */

	public static boolean todasMsgs(ControlePrincipal controle) throws IOException{		
		return new MensagemDAO(controle).carregaMensagens("");
	}
}
