package br.ufpr.mityba.model;

/**
 * 
 * @author Mityba
 * @since 31/10/2008
 * @version 1.0 31/10/2008
 * @version 1.1 06/11/2008
 *
 */

public class Convenio {

	private int idConvenio;
	
	private double valorConsultaConvenio;
	
	private String nomeConvenio;
	private String cepConvenio;
	private String logradouroConvenio;
	private String numLogradouroConvenio;
	private String complementoConvenio;
	private String bairroConvenio;
	private String cidadeConvenio;
	private String ufConvenio;
	private String contato1Convenio;
	private String contato2Convenio;
	private String setorContato1Convenio;
	private String setorContato2Convenio;
	private String telefone1Convenio;
	private String telefone2Convenio;
	private String email1Convenio;
	private String email2Convenio;
	
	private boolean solicitarSenhaConvenio;
	
	/**
	 * 
	 * @param idConvenio
	 * @param valorConsultaConvenio
	 * @param nomeConvenio
	 * @param cepConvenio
	 * @param logradouroConvenio
	 * @param numLogradouroConvenio
	 * @param complementoConvenio
	 * @param bairroConvenio
	 * @param cidadeConvenio
	 * @param ufConvenio
	 * @param contato1Convenio
	 * @param contato2Convenio
	 * @param setorContato1Convenio
	 * @param setorContato2Convenio
	 * @param telefone1Convenio
	 * @param telefone2Convenio
	 * @param email1Convenio
	 * @param email2Convenio
	 * @param solicitarSenhaConvenio
	 */
	
	public Convenio(int idConvenio, double valorConsultaConvenio, String nomeConvenio, String cepConvenio, String logradouroConvenio,
					String numLogradouroConvenio, String complementoConvenio, String bairroConvenio, String cidadeConvenio,
					String ufConvenio, String contato1Convenio, String contato2Convenio, String setorContato1Convenio,
					String setorContato2Convenio, String telefone1Convenio, String telefone2Convenio, String email1Convenio, 
					String email2Convenio, boolean solicitarSenhaConvenio) 
	{
		setIdConvenio				(idConvenio);
		setValorConsultaConvenio	(valorConsultaConvenio);
		setNomeConvenio				(nomeConvenio);
		setCepConvenio				(cepConvenio);
		setLogradouroConvenio		(logradouroConvenio);
		setNumLogradouroConvenio	(numLogradouroConvenio);
		setComplementoConvenio		(complementoConvenio);
		setBairroConvenio			(bairroConvenio);
		setCidadeConvenio			(cidadeConvenio);
		setUfConvenio				(ufConvenio);
		setContato1Convenio			(contato1Convenio);
		setContato2Convenio			(contato2Convenio);
		setSetorContato1Convenio	(setorContato1Convenio);
		setSetorContato2Convenio	(setorContato2Convenio);
		setTelefone1Convenio		(telefone1Convenio);
		setTelefone2Convenio		(telefone2Convenio);
		setEmail1Convenio			(email1Convenio);
		setEmail2Convenio			(email2Convenio);
		setSolicitarSenhaConvenio	(solicitarSenhaConvenio);
	}

	/**
	 * @return the cepConvenio
	 */
	public String getCepConvenio() {
		return cepConvenio;
	}

	/**
	 * @param cepConvenio the cepConvenio to set
	 */
	public void setCepConvenio(String cepConvenio) {
		this.cepConvenio = cepConvenio;
	}	

	/**
	 * @return the idConvenio
	 */
	public int getIdConvenio() {
		return idConvenio;
	}

	/**
	 * @param idConvenio the idConvenio to set
	 */
	public void setIdConvenio(int idConvenio) {
		this.idConvenio = idConvenio;
	}

	/**
	 * @return the valorConsultaConvenio
	 */
	public double getValorConsultaConvenio() {
		return valorConsultaConvenio;
	}

	/**
	 * @param valorConsultaConvenio the valorConsultaConvenio to set
	 */
	public void setValorConsultaConvenio(double valorConsultaConvenio) {
		this.valorConsultaConvenio = valorConsultaConvenio;
	}

	/**
	 * @return the nomeConvenio
	 */
	public String getNomeConvenio() {
		return nomeConvenio;
	}

	/**
	 * @param nomeConvenio the nomeConvenio to set
	 */
	public void setNomeConvenio(String nomeConvenio) {
		this.nomeConvenio = nomeConvenio;
	}

	/**
	 * @return the logradouroConvenio
	 */
	public String getLogradouroConvenio() {
		return logradouroConvenio;
	}

	/**
	 * @param logradouroConvenio the logradouroConvenio to set
	 */
	public void setLogradouroConvenio(String logradouroConvenio) {
		this.logradouroConvenio = logradouroConvenio;
	}

	/**
	 * @return the numLogradouroConvenio
	 */
	public String getNumLogradouroConvenio() {
		return numLogradouroConvenio;
	}

	/**
	 * @param numLogradouroConvenio the numLogradouroConvenio to set
	 */
	public void setNumLogradouroConvenio(String numLogradouroConvenio) {
		this.numLogradouroConvenio = numLogradouroConvenio;
	}

	/**
	 * @return the complementoConvenio
	 */
	public String getComplementoConvenio() {
		return complementoConvenio;
	}

	/**
	 * @param complementoConvenio the complementoConvenio to set
	 */
	public void setComplementoConvenio(String complementoConvenio) {
		this.complementoConvenio = complementoConvenio;
	}

	/**
	 * @return the bairroConvenio
	 */
	public String getBairroConvenio() {
		return bairroConvenio;
	}

	/**
	 * @param bairroConvenio the bairroConvenio to set
	 */
	public void setBairroConvenio(String bairroConvenio) {
		this.bairroConvenio = bairroConvenio;
	}

	/**
	 * @return the cidadeConvenio
	 */
	public String getCidadeConvenio() {
		return cidadeConvenio;
	}

	/**
	 * @param cidadeConvenio the cidadeConvenio to set
	 */
	public void setCidadeConvenio(String cidadeConvenio) {
		this.cidadeConvenio = cidadeConvenio;
	}

	/**
	 * @return the ufConvenio
	 */
	public String getUfConvenio() {
		return ufConvenio;
	}

	/**
	 * @param ufConvenio the ufConvenio to set
	 */
	public void setUfConvenio(String ufConvenio) {
		this.ufConvenio = ufConvenio;
	}

	/**
	 * @return the contato1Convenio
	 */
	public String getContato1Convenio() {
		return contato1Convenio;
	}

	/**
	 * @param contato1Convenio the contato1Convenio to set
	 */
	public void setContato1Convenio(String contato1Convenio) {
		this.contato1Convenio = contato1Convenio;
	}

	/**
	 * @return the contato2Convenio
	 */
	public String getContato2Convenio() {
		return contato2Convenio;
	}

	/**
	 * @param contato2Convenio the contato2Convenio to set
	 */
	public void setContato2Convenio(String contato2Convenio) {
		this.contato2Convenio = contato2Convenio;
	}

	/**
	 * @return the setorContato1Convenio
	 */
	public String getSetorContato1Convenio() {
		return setorContato1Convenio;
	}

	/**
	 * @param setorContato1Convenio the setorContato1Convenio to set
	 */
	public void setSetorContato1Convenio(String setorContato1Convenio) {
		this.setorContato1Convenio = setorContato1Convenio;
	}

	/**
	 * @return the setorContato2Convenio
	 */
	public String getSetorContato2Convenio() {
		return setorContato2Convenio;
	}

	/**
	 * @param setorContato2Convenio the setorContato2Convenio to set
	 */
	public void setSetorContato2Convenio(String setorContato2Convenio) {
		this.setorContato2Convenio = setorContato2Convenio;
	}

	/**
	 * @return the telefone1Convenio
	 */
	public String getTelefone1Convenio() {
		return telefone1Convenio;
	}

	/**
	 * @param telefone1Convenio the telefone1Convenio to set
	 */
	public void setTelefone1Convenio(String telefone1Convenio) {
		this.telefone1Convenio = telefone1Convenio;
	}

	/**
	 * @return the telefone2Convenio
	 */
	public String getTelefone2Convenio() {
		return telefone2Convenio;
	}

	/**
	 * @param telefone2Convenio the telefone2Convenio to set
	 */
	public void setTelefone2Convenio(String telefone2Convenio) {
		this.telefone2Convenio = telefone2Convenio;
	}

	/**
	 * @return the email1Convenio
	 */
	public String getEmail1Convenio() {
		return email1Convenio;
	}

	/**
	 * @param email1Convenio the email1Convenio to set
	 */
	public void setEmail1Convenio(String email1Convenio) {
		this.email1Convenio = email1Convenio;
	}

	/**
	 * @return the email2Convenio
	 */
	public String getEmail2Convenio() {
		return email2Convenio;
	}

	/**
	 * @param email2Convenio the email2Convenio to set
	 */
	public void setEmail2Convenio(String email2Convenio) {
		this.email2Convenio = email2Convenio;
	}

	/**
	 * @return the solicitarSenhaConvenio
	 */
	public boolean isSolicitarSenhaConvenio() {
		return solicitarSenhaConvenio;
	}

	/**
	 * @param solicitarSenhaConvenio the solicitarSenhaConvenio to set
	 */
	public void setSolicitarSenhaConvenio(boolean solicitarSenhaConvenio) {
		this.solicitarSenhaConvenio = solicitarSenhaConvenio;
	}
}
