package br.ufpr.mityba.model;

/**
 * @author Mityba
 * @since 16/10/2008
 * @version 1.0 16/10/2008
 * @version 1.1 06/11/2008
 *
 */
public class ExameCadastrado {

	private int idExame;
	private int idUnidade;
	
	private String nome;
	private String minimo06;
	private String maximo06;
	private String minimo712;
	private String maximo712;
	private String minimo65;
	private String maximo65;
	private String minimoFem;
	private String maximoFem;
	private String minimoMas;
	private String maximoMas;
	private String minimoBaixo;
	private String maximoBaixo;
	private String minimoDesej;
	private String maximoDesej;
	private String minimoLimite;
	private String maximoLimite;
	private String minimoAlto;
	private String maximoAlto;
	private String minimoMtAlto;
	private String maximoMtAlto;
	private String obsAbaixo;
	private String obsAcima;
	
	/**
	 * 
	 * @param idExame
	 * @param idUnidade
	 * @param nome
	 * @param minimo06
	 * @param maximo06
	 * @param minimo712
	 * @param maximo712
	 * @param minimo65
	 * @param maximo65
	 * @param minimoFem
	 * @param maximoFem
	 * @param minimoMas
	 * @param maximoMas
	 * @param minimoBaixo
	 * @param maximoBaixo
	 * @param minimoDesej
	 * @param maximoDesej
	 * @param minimoLimite
	 * @param maximoLimite
	 * @param minimoAlto
	 * @param maximoAlto
	 * @param minimoMtAlto
	 * @param maximoMtAlto
	 * @param obsAbaixo
	 * @param obsAcima
	 */
	
	public ExameCadastrado(int idExame, int idUnidade, String nome, String minimo06, String maximo06, String minimo712, String maximo712,
							String minimo65, String maximo65, String minimoFem, String maximoFem, String minimoMas, String maximoMas,
							String minimoBaixo, String maximoBaixo, String minimoDesej, String maximoDesej, String minimoLimite,
							String maximoLimite, String minimoAlto, String maximoAlto, String minimoMtAlto, String maximoMtAlto, 
							String obsAbaixo, String obsAcima) 
	{

		setIdExame(idExame);
		setUnidade(idUnidade);
		setNome(nome);
		setMinimo06(minimo06);
		setMaximo06(maximo06);
		setMinimo712(minimo712);
		setMaximo712(maximo712);
		setMinimo65(minimo65);
		setMaximo65(maximo65);
		setMinimoFem(minimoFem);
		setMaximoFem(maximoFem);
		setMinimoMas(minimoMas);
		setMaximoMas(maximoMas);;
		setMinimoBaixo(minimoBaixo);
		setMaximoBaixo(maximoBaixo);
		setMinimoDesej(minimoDesej);
		setMaximoDesej(maximoDesej);
		setMinimoLimite(minimoLimite);
		setMaximoLimite(maximoLimite);
		setMinimoAlto(minimoAlto);
		setMaximoAlto(maximoAlto);
		setMinimoMtAlto(minimoMtAlto);
		setMaximoMtAlto(maximoMtAlto);
		setObsAbaixo(obsAbaixo);
		setObsAcima(obsAcima);
	}

	/**
	 * @return the idExame
	 */
	public int getIdExame() {
		return idExame;
	}

	/**
	 * @return the nome
	 */
	public String getNome() {
		return nome;
	}

	/**
	 * @return the unidade
	 */
	public int getUnidade() {
		return idUnidade;
	}

	/**
	 * @return the minimo06
	 */
	public String getMinimo06() {
		return minimo06;
	}

	/**
	 * @return the maximo06
	 */
	public String getMaximo06() {
		return maximo06;
	}

	/**
	 * @return the minimo712
	 */
	public String getMinimo712() {
		return minimo712;
	}

	/**
	 * @return the maximo712
	 */
	public String getMaximo712() {
		return maximo712;
	}

	/**
	 * @return the minimo65
	 */
	public String getMinimo65() {
		return minimo65;
	}

	/**
	 * @return the maximo65
	 */
	public String getMaximo65() {
		return maximo65;
	}

	/**
	 * @return the minimoFem
	 */
	public String getMinimoFem() {
		return minimoFem;
	}

	/**
	 * @return the maximoFem
	 */
	public String getMaximoFem() {
		return maximoFem;
	}

	/**
	 * @return the minimoMas
	 */
	public String getMinimoMas() {
		return minimoMas;
	}

	/**
	 * @return the maximoMas
	 */
	public String getMaximoMas() {
		return maximoMas;
	}

	/**
	 * @return the minimoBaixo
	 */
	public String getMinimoBaixo() {
		return minimoBaixo;
	}

	/**
	 * @return the maximoBaixo
	 */
	public String getMaximoBaixo() {
		return maximoBaixo;
	}

	/**
	 * @return the minimoDesej
	 */
	public String getMinimoDesej() {
		return minimoDesej;
	}

	/**
	 * @return the maximoDesej
	 */
	public String getMaximoDesej() {
		return maximoDesej;
	}

	/**
	 * @return the minimoLimite
	 */
	public String getMinimoLimite() {
		return minimoLimite;
	}

	/**
	 * @return the maximoLimite
	 */
	public String getMaximoLimite() {
		return maximoLimite;
	}

	/**
	 * @return the minimoAlto
	 */
	public String getMinimoAlto() {
		return minimoAlto;
	}

	/**
	 * @return the maximoAlto
	 */
	public String getMaximoAlto() {
		return maximoAlto;
	}

	/**
	 * @return the minimoMtAlto
	 */
	public String getMinimoMtAlto() {
		return minimoMtAlto;
	}

	/**
	 * @return the maximoMtAlto
	 */
	public String getMaximoMtAlto() {
		return maximoMtAlto;
	}

	/**
	 * @return the obsAbaixo
	 */
	public String getObsAbaixo() {
		return obsAbaixo;
	}

	/**
	 * @return the obsAcima
	 */
	public String getObsAcima() {
		return obsAcima;
	}

	/**
	 * @param idExame the idExame to set
	 */
	public void setIdExame(int idExame) {
		this.idExame = idExame;
	}

	/**
	 * @param nome the nome to set
	 */
	public void setNome(String nome) {
		this.nome = nome;
	}

	/**
	 * @param unidade the unidade to set
	 */
	public void setUnidade(int unidade) {
		this.idUnidade = unidade;
	}

	/**
	 * @param minimo06 the minimo06 to set
	 */
	public void setMinimo06(String minimo06) {
		this.minimo06 = minimo06;
	}

	/**
	 * @param maximo06 the maximo06 to set
	 */
	public void setMaximo06(String maximo06) {
		this.maximo06 = maximo06;
	}

	/**
	 * @param minimo712 the minimo712 to set
	 */
	public void setMinimo712(String minimo712) {
		this.minimo712 = minimo712;
	}

	/**
	 * @param maximo712 the maximo712 to set
	 */
	public void setMaximo712(String maximo712) {
		this.maximo712 = maximo712;
	}

	/**
	 * @param minimo65 the minimo65 to set
	 */
	public void setMinimo65(String minimo65) {
		this.minimo65 = minimo65;
	}

	/**
	 * @param maximo65 the maximo65 to set
	 */
	public void setMaximo65(String maximo65) {
		this.maximo65 = maximo65;
	}

	/**
	 * @param minimoFem the minimoFem to set
	 */
	public void setMinimoFem(String minimoFem) {
		this.minimoFem = minimoFem;
	}

	/**
	 * @param maximoFem the maximoFem to set
	 */
	public void setMaximoFem(String maximoFem) {
		this.maximoFem = maximoFem;
	}

	/**
	 * @param minimoMas the minimoMas to set
	 */
	public void setMinimoMas(String minimoMas) {
		this.minimoMas = minimoMas;
	}

	/**
	 * @param maximoMas the maximoMas to set
	 */
	public void setMaximoMas(String maximoMas) {
		this.maximoMas = maximoMas;
	}

	/**
	 * @param minimoBaixo the minimoBaixo to set
	 */
	public void setMinimoBaixo(String minimoBaixo) {
		this.minimoBaixo = minimoBaixo;
	}

	/**
	 * @param maximoBaixo the maximoBaixo to set
	 */
	public void setMaximoBaixo(String maximoBaixo) {
		this.maximoBaixo = maximoBaixo;
	}

	/**
	 * @param minimoDesej the minimoDesej to set
	 */
	public void setMinimoDesej(String minimoDesej) {
		this.minimoDesej = minimoDesej;
	}

	/**
	 * @param maximoDesej the maximoDesej to set
	 */
	public void setMaximoDesej(String maximoDesej) {
		this.maximoDesej = maximoDesej;
	}

	/**
	 * @param minimoLimite the minimoLimite to set
	 */
	public void setMinimoLimite(String minimoLimite) {
		this.minimoLimite = minimoLimite;
	}

	/**
	 * @param maximoLimite the maximoLimite to set
	 */
	public void setMaximoLimite(String maximoLimite) {
		this.maximoLimite = maximoLimite;
	}

	/**
	 * @param minimoAlto the minimoAlto to set
	 */
	public void setMinimoAlto(String minimoAlto) {
		this.minimoAlto = minimoAlto;
	}

	/**
	 * @param maximoAlto the maximoAlto to set
	 */
	public void setMaximoAlto(String maximoAlto) {
		this.maximoAlto = maximoAlto;
	}

	/**
	 * @param minimoMtAlto the minimoMtAlto to set
	 */
	public void setMinimoMtAlto(String minimoMtAlto) {
		this.minimoMtAlto = minimoMtAlto;
	}

	/**
	 * @param maximoMtAlto the maximoMtAlto to set
	 */
	public void setMaximoMtAlto(String maximoMtAlto) {
		this.maximoMtAlto = maximoMtAlto;
	}

	/**
	 * @param obsAbaixo the obsAbaixo to set
	 */
	public void setObsAbaixo(String obsAbaixo) {
		this.obsAbaixo = obsAbaixo;
	}

	/**
	 * @param obsAcima the obsAcima to set
	 */
	public void setObsAcima(String obsAcima) {
		this.obsAcima = obsAcima;
	}

}
