package br.ufpr.mityba.model;

/**
 * @author Mityba
 * @since 01/12/2008
 * @version 1.0 01/12/2008
 *
 */
public class HistoricoPaciente {
	
	private int idHistoricoPaciente;
	private int idConsultaHistoricoPaciente;
	private int idPacienteHistoricoPaciente;
	private int idMotivoHistoricoPaciente;
	private int idAtividadeFisicaHistoricoPaciente;
	
	private double pesoHistoricoPaciente;
	private double pesoMetaHistoricoPaciente;
	private double alturaHistoricoPaciente;
	private double percentualGorduraHistoricoPaciente;
	private double valorEnergeticoTotalHistoricoPaciente;
	private double valorEnergeticoDietaHistoricoPaciente;
	
	private String pressaoArterialHistoricoPaciente;
	private String anamneseHistoricoHistoricoPaciente;
	private String anamneseAtualHistoricoPaciente;
	private String examesHistoricoHistoricoPaciente;
	private String examesAtualHistoricoPaciente;
	private String prescricaoHistoricoHistoricoPaciente;
	private String prescricaoAtualHistoricoPaciente;
	
	
	/**
	 * 
	 * @param idHistoricoPaciente
	 * @param idConsultaHistoricoPaciente
	 * @param idPacienteHistoricoPaciente
	 * @param idMotivoHistoricoPaciente
	 * @param idAtividadeFisicaHistoricoPaciente
	 * @param pesoHistoricoPaciente
	 * @param pesoMetaHistoricoPaciente
	 * @param alturaHistoricoPacient
	 * @param percentualGorduraHistoricoPaciente
	 * @param valorEnergeticoTotalHistoricoPaciente
	 * @param valorEnergeticoDietaHistoricoPaciente
	 * @param pressaoArterialHistoricoPaciente
	 * @param anamneseHistoricoHistoricoPaciente
	 * @param anamneseAtualHistoricoPaciente
	 * @param examesHistoricoHistoricoPaciente
	 * @param examesAtualHistoricoPaciente
	 * @param prescricaoHistoricoHistoricoPaciente
	 * @param prescricaoAtualHistoricoPaciente
	 */
	public HistoricoPaciente(int idHistoricoPaciente, int idConsultaHistoricoPaciente, int idPacienteHistoricoPaciente, 
			int idMotivoHistoricoPaciente, int idAtividadeFisicaHistoricoPaciente, double pesoHistoricoPaciente,
			double pesoMetaHistoricoPaciente, double alturaHistoricoPacient, double percentualGorduraHistoricoPaciente,
			double valorEnergeticoTotalHistoricoPaciente, double valorEnergeticoDietaHistoricoPaciente, String pressaoArterialHistoricoPaciente,
			String anamneseHistoricoHistoricoPaciente, String anamneseAtualHistoricoPaciente, String examesHistoricoHistoricoPaciente, 
			String examesAtualHistoricoPaciente, String prescricaoHistoricoHistoricoPaciente, String prescricaoAtualHistoricoPaciente) 
	{
		setIdHistoricoPaciente					(idHistoricoPaciente);
		setIdConsultaHistoricoPaciente			(idConsultaHistoricoPaciente);
		setIdPacienteHistoricoPaciente			(idPacienteHistoricoPaciente);
		setIdMotivoHistoricoPaciente			(idMotivoHistoricoPaciente);
		setIdAtividadeFisicaHistoricoPaciente	(idAtividadeFisicaHistoricoPaciente);
		setPesoHistoricoPaciente				(pesoHistoricoPaciente);
		setPesoMetaHistoricoPaciente			(pesoMetaHistoricoPaciente);
		setAlturaHistoricoPaciente				(alturaHistoricoPacient);
		setPercentualGorduraHistoricoPaciente	(percentualGorduraHistoricoPaciente);
		setValorEnergeticoTotalHistoricoPaciente(valorEnergeticoTotalHistoricoPaciente);
		setValorEnergeticoDietaHistoricoPaciente(valorEnergeticoDietaHistoricoPaciente);
		setPressaoArterialHistoricoPaciente		(pressaoArterialHistoricoPaciente);
		setAnamneseHistoricoHistoricoPaciente	(anamneseHistoricoHistoricoPaciente);
		setAnamneseAtualHistoricoPaciente		(anamneseAtualHistoricoPaciente);
		setExamesHistoricoHistoricoPaciente		(examesHistoricoHistoricoPaciente);
		setExamesAtualHistoricoPaciente			(examesAtualHistoricoPaciente);
		setPrescricaoHistoricoHistoricoPaciente	(prescricaoHistoricoHistoricoPaciente);
		setPrescricaoAtualHistoricoPaciente		(prescricaoAtualHistoricoPaciente);
	}

	/**
	 * @return the idHistoricoPaciente
	 */
	public int getIdHistoricoPaciente() {
		return idHistoricoPaciente;
	}


	/**
	 * @return the idConsultaHistoricoPaciente
	 */
	public int getIdConsultaHistoricoPaciente() {
		return idConsultaHistoricoPaciente;
	}


	/**
	 * @return the idPacienteHistoricoPaciente
	 */
	public int getIdPacienteHistoricoPaciente() {
		return idPacienteHistoricoPaciente;
	}


	/**
	 * @return the idMotivoHistoricoPaciente
	 */
	public int getIdMotivoHistoricoPaciente() {
		return idMotivoHistoricoPaciente;
	}


	/**
	 * @return the idAtividadeFisicaHistoricoPaciente
	 */
	public int getIdAtividadeFisicaHistoricoPaciente() {
		return idAtividadeFisicaHistoricoPaciente;
	}


	/**
	 * @return the pesoHistoricoPaciente
	 */
	public double getPesoHistoricoPaciente() {
		return pesoHistoricoPaciente;
	}


	/**
	 * @return the pesoMetaHistoricoPaciente
	 */
	public double getPesoMetaHistoricoPaciente() {
		return pesoMetaHistoricoPaciente;
	}


	/**
	 * @return the alturaHistoricoPaciente
	 */
	public double getAlturaHistoricoPaciente() {
		return alturaHistoricoPaciente;
	}


	/**
	 * @return the percentualGorduraHistoricoPaciente
	 */
	public double getPercentualGorduraHistoricoPaciente() {
		return percentualGorduraHistoricoPaciente;
	}


	/**
	 * @return the valorEnergeticoTotalHistoricoPaciente
	 */
	public double getValorEnergeticoTotalHistoricoPaciente() {
		return valorEnergeticoTotalHistoricoPaciente;
	}


	/**
	 * @return the valorEnergeticoDietaHistoricoPaciente
	 */
	public double getValorEnergeticoDietaHistoricoPaciente() {
		return valorEnergeticoDietaHistoricoPaciente;
	}


	/**
	 * @return the pressaoArterialHistoricoPaciente
	 */
	public String getPressaoArterialHistoricoPaciente() {
		return pressaoArterialHistoricoPaciente;
	}


	/**
	 * @return the anamneseHistoricoHistoricoPaciente
	 */
	public String getAnamneseHistoricoHistoricoPaciente() {
		return anamneseHistoricoHistoricoPaciente;
	}


	/**
	 * @return the anamneseAtualHistoricoPaciente
	 */
	public String getAnamneseAtualHistoricoPaciente() {
		return anamneseAtualHistoricoPaciente;
	}


	/**
	 * @return the examesHistoricoHistoricoPaciente
	 */
	public String getExamesHistoricoHistoricoPaciente() {
		return examesHistoricoHistoricoPaciente;
	}


	/**
	 * @return the examesAtualHistoricoPaciente
	 */
	public String getExamesAtualHistoricoPaciente() {
		return examesAtualHistoricoPaciente;
	}


	/**
	 * @return the prescricaoHistoricoHistoricoPaciente
	 */
	public String getPrescricaoHistoricoHistoricoPaciente() {
		return prescricaoHistoricoHistoricoPaciente;
	}


	/**
	 * @return the prescricaoAtualHistoricoPaciente
	 */
	public String getPrescricaoAtualHistoricoPaciente() {
		return prescricaoAtualHistoricoPaciente;
	}


	/**
	 * @param idHistoricoPaciente the idHistoricoPaciente to set
	 */
	public void setIdHistoricoPaciente(int idHistoricoPaciente) {
		this.idHistoricoPaciente = idHistoricoPaciente;
	}


	/**
	 * @param idConsultaHistoricoPaciente the idConsultaHistoricoPaciente to set
	 */
	public void setIdConsultaHistoricoPaciente(int idConsultaHistoricoPaciente) {
		this.idConsultaHistoricoPaciente = idConsultaHistoricoPaciente;
	}


	/**
	 * @param idPacienteHistoricoPaciente the idPacienteHistoricoPaciente to set
	 */
	public void setIdPacienteHistoricoPaciente(int idPacienteHistoricoPaciente) {
		this.idPacienteHistoricoPaciente = idPacienteHistoricoPaciente;
	}


	/**
	 * @param idMotivoHistoricoPaciente the idMotivoHistoricoPaciente to set
	 */
	public void setIdMotivoHistoricoPaciente(int idMotivoHistoricoPaciente) {
		this.idMotivoHistoricoPaciente = idMotivoHistoricoPaciente;
	}


	/**
	 * @param idAtividadeFisicaHistoricoPaciente the idAtividadeFisicaHistoricoPaciente to set
	 */
	public void setIdAtividadeFisicaHistoricoPaciente(
			int idAtividadeFisicaHistoricoPaciente) {
		this.idAtividadeFisicaHistoricoPaciente = idAtividadeFisicaHistoricoPaciente;
	}


	/**
	 * @param pesoHistoricoPaciente the pesoHistoricoPaciente to set
	 */
	public void setPesoHistoricoPaciente(double pesoHistoricoPaciente) {
		this.pesoHistoricoPaciente = pesoHistoricoPaciente;
	}


	/**
	 * @param pesoMetaHistoricoPaciente the pesoMetaHistoricoPaciente to set
	 */
	public void setPesoMetaHistoricoPaciente(double pesoMetaHistoricoPaciente) {
		this.pesoMetaHistoricoPaciente = pesoMetaHistoricoPaciente;
	}


	/**
	 * @param alturaHistoricoPaciente the alturaHistoricoPaciente to set
	 */
	public void setAlturaHistoricoPaciente(double alturaHistoricoPaciente) {
		this.alturaHistoricoPaciente = alturaHistoricoPaciente;
	}


	/**
	 * @param percentualGorduraHistoricoPaciente the percentualGorduraHistoricoPaciente to set
	 */
	public void setPercentualGorduraHistoricoPaciente(
			double percentualGorduraHistoricoPaciente) {
		this.percentualGorduraHistoricoPaciente = percentualGorduraHistoricoPaciente;
	}


	/**
	 * @param valorEnergeticoTotalHistoricoPaciente the valorEnergeticoTotalHistoricoPaciente to set
	 */
	public void setValorEnergeticoTotalHistoricoPaciente(
			double valorEnergeticoTotalHistoricoPaciente) {
		this.valorEnergeticoTotalHistoricoPaciente = valorEnergeticoTotalHistoricoPaciente;
	}


	/**
	 * @param valorEnergeticoDietaHistoricoPaciente the valorEnergeticoDietaHistoricoPaciente to set
	 */
	public void setValorEnergeticoDietaHistoricoPaciente(
			double valorEnergeticoDietaHistoricoPaciente) {
		this.valorEnergeticoDietaHistoricoPaciente = valorEnergeticoDietaHistoricoPaciente;
	}


	/**
	 * @param pressaoArterialHistoricoPaciente the pressaoArterialHistoricoPaciente to set
	 */
	public void setPressaoArterialHistoricoPaciente(
			String pressaoArterialHistoricoPaciente) {
		this.pressaoArterialHistoricoPaciente = pressaoArterialHistoricoPaciente;
	}


	/**
	 * @param anamneseHistoricoHistoricoPaciente the anamneseHistoricoHistoricoPaciente to set
	 */
	public void setAnamneseHistoricoHistoricoPaciente(
			String anamneseHistoricoHistoricoPaciente) {
		this.anamneseHistoricoHistoricoPaciente = anamneseHistoricoHistoricoPaciente;
	}


	/**
	 * @param anamneseAtualHistoricoPaciente the anamneseAtualHistoricoPaciente to set
	 */
	public void setAnamneseAtualHistoricoPaciente(
			String anamneseAtualHistoricoPaciente) {
		this.anamneseAtualHistoricoPaciente = anamneseAtualHistoricoPaciente;
	}


	/**
	 * @param examesHistoricoHistoricoPaciente the examesHistoricoHistoricoPaciente to set
	 */
	public void setExamesHistoricoHistoricoPaciente(
			String examesHistoricoHistoricoPaciente) {
		this.examesHistoricoHistoricoPaciente = examesHistoricoHistoricoPaciente;
	}


	/**
	 * @param examesAtualHistoricoPaciente the examesAtualHistoricoPaciente to set
	 */
	public void setExamesAtualHistoricoPaciente(String examesAtualHistoricoPaciente) {
		this.examesAtualHistoricoPaciente = examesAtualHistoricoPaciente;
	}


	/**
	 * @param prescricaoHistoricoHistoricoPaciente the prescricaoHistoricoHistoricoPaciente to set
	 */
	public void setPrescricaoHistoricoHistoricoPaciente(
			String prescricaoHistoricoHistoricoPaciente) {
		this.prescricaoHistoricoHistoricoPaciente = prescricaoHistoricoHistoricoPaciente;
	}


	/**
	 * @param prescricaoAtualHistoricoPaciente the prescricaoAtualHistoricoPaciente to set
	 */
	public void setPrescricaoAtualHistoricoPaciente(
			String prescricaoAtualHistoricoPaciente) {
		this.prescricaoAtualHistoricoPaciente = prescricaoAtualHistoricoPaciente;
	}
}
