package br.ufpr.mityba.model;

/**
 * 
 * @author Mityba
 * @since 10/11/2008
 * @version 1.0 10/11/2008
 *
 */

public class Medicamento {

	private int idMedicamento;
	
	private String nomeComercialMedicamento;
	private String principioAtivoMedicamento;
	private String indicacaoMedicamento;
	private String contraIndicacaoMedicamento;
	private String instrucoesIngestaoMedicamento;
	private String efeitosColateraisMedicamento;
	private String alteracoesSanguineasMedicamento;
	private String cuidadosGestacaoMedicamento;
	private String interacaoDietaMedicamento;
	private String precaucoesMedicamento;
	private String alteracoesDiversasMedicamento;
	private String outrasOrientacoesMedicamento;
	
	/**
	 * 
	 * @param idMedicamento
	 * @param nomeComercialMedicamento
	 * @param principioAtivoMedicamento
	 * @param indicacaoMedicamento
	 * @param contraIndicacaoMedicamento
	 * @param instrucoesIngestaoMedicamento
	 * @param efeitosColateraisMedicamento
	 * @param alteracoesSanguineasMedicamento
	 * @param cuidadosGestacaoMedicamento
	 * @param interacaoDietaMedicamento
	 * @param precaucoesMedicamento
	 * @param alteracoesDiversasMedicamento
	 * @param outrasOrientacoesMedicamento
	 */
	
	public Medicamento(int idMedicamento, String nomeComercialMedicamento, String principioAtivoMedicamento, String indicacaoMedicamento,
						String contraIndicacaoMedicamento, String instrucoesIngestaoMedicamento, String efeitosColateraisMedicamento,
						String alteracoesSanguineasMedicamento, String cuidadosGestacaoMedicamento, String interacaoDietaMedicamento,
						String precaucoesMedicamento, String alteracoesDiversasMedicamento, String outrasOrientacoesMedicamento) 
	{
		setIdMedicamento					(idMedicamento);
		setNomeComercialMedicamento			(nomeComercialMedicamento);
		setPrincipioAtivoMedicamento		(principioAtivoMedicamento);
		setIndicacaoMedicamento				(contraIndicacaoMedicamento);
		setContraIndicacaoMedicamento		(contraIndicacaoMedicamento);
		setInstrucoesIngestaoMedicamento	(instrucoesIngestaoMedicamento);
		setEfeitosColateraisMedicamento		(efeitosColateraisMedicamento);
		setAlteracoesSanguineasMedicamento	(alteracoesSanguineasMedicamento);
		setCuidadosGestacaoMedicamento		(cuidadosGestacaoMedicamento);
		setInteracaoDietaMedicamento		(interacaoDietaMedicamento);
		setPrecaucoesMedicamento			(precaucoesMedicamento);
		setAlteracoesDiversasMedicamento	(alteracoesDiversasMedicamento);
		setOutrasOrientacoesMedicamento		(outrasOrientacoesMedicamento);
	}

	/**
	 * @return the idMedicamento
	 */
	public int getIdMedicamento() {
		return idMedicamento;
	}

	/**
	 * @param idMedicamento the idMedicamento to set
	 */
	public void setIdMedicamento(int idMedicamento) {
		this.idMedicamento = idMedicamento;
	}

	/**
	 * @return the nomeComercialMedicamento
	 */
	public String getNomeComercialMedicamento() {
		return nomeComercialMedicamento;
	}

	/**
	 * @param nomeComercialMedicamento the nomeComercialMedicamento to set
	 */
	public void setNomeComercialMedicamento(String nomeComercialMedicamento) {
		this.nomeComercialMedicamento = nomeComercialMedicamento;
	}

	/**
	 * @return the principioAtivoMedicamento
	 */
	public String getPrincipioAtivoMedicamento() {
		return principioAtivoMedicamento;
	}

	/**
	 * @param principioAtivoMedicamento the principioAtivoMedicamento to set
	 */
	public void setPrincipioAtivoMedicamento(String principioAtivoMedicamento) {
		this.principioAtivoMedicamento = principioAtivoMedicamento;
	}

	/**
	 * @return the indicacaoMedicamento
	 */
	public String getIndicacaoMedicamento() {
		return indicacaoMedicamento;
	}

	/**
	 * @param indicacaoMedicamento the indicacaoMedicamento to set
	 */
	public void setIndicacaoMedicamento(String indicacaoMedicamento) {
		this.indicacaoMedicamento = indicacaoMedicamento;
	}

	/**
	 * @return the contraIndicacaoMedicamento
	 */
	public String getContraIndicacaoMedicamento() {
		return contraIndicacaoMedicamento;
	}

	/**
	 * @param contraIndicacaoMedicamento the contraIndicacaoMedicamento to set
	 */
	public void setContraIndicacaoMedicamento(String contraIndicacaoMedicamento) {
		this.contraIndicacaoMedicamento = contraIndicacaoMedicamento;
	}

	/**
	 * @return the instrucoesIngestaoMedicamento
	 */
	public String getInstrucoesIngestaoMedicamento() {
		return instrucoesIngestaoMedicamento;
	}

	/**
	 * @param instrucoesIngestaoMedicamento the instrucoesIngestaoMedicamento to set
	 */
	public void setInstrucoesIngestaoMedicamento(
			String instrucoesIngestaoMedicamento) {
		this.instrucoesIngestaoMedicamento = instrucoesIngestaoMedicamento;
	}

	/**
	 * @return the efeitosColateraisMedicamento
	 */
	public String getEfeitosColateraisMedicamento() {
		return efeitosColateraisMedicamento;
	}

	/**
	 * @param efeitosColateraisMedicamento the efeitosColateraisMedicamento to set
	 */
	public void setEfeitosColateraisMedicamento(String efeitosColateraisMedicamento) {
		this.efeitosColateraisMedicamento = efeitosColateraisMedicamento;
	}

	/**
	 * @return the alteracoesSanguineasMedicamento
	 */
	public String getAlteracoesSanguineasMedicamento() {
		return alteracoesSanguineasMedicamento;
	}

	/**
	 * @param alteracoesSanguineasMedicamento the alteracoesSanguineasMedicamento to set
	 */
	public void setAlteracoesSanguineasMedicamento(
			String alteracoesSanguineasMedicamento) {
		this.alteracoesSanguineasMedicamento = alteracoesSanguineasMedicamento;
	}

	/**
	 * @return the cuidadosGestacaoMedicamento
	 */
	public String getCuidadosGestacaoMedicamento() {
		return cuidadosGestacaoMedicamento;
	}

	/**
	 * @param cuidadosGestacaoMedicamento the cuidadosGestacaoMedicamento to set
	 */
	public void setCuidadosGestacaoMedicamento(String cuidadosGestacaoMedicamento) {
		this.cuidadosGestacaoMedicamento = cuidadosGestacaoMedicamento;
	}

	/**
	 * @return the interacaoDietaMedicamento
	 */
	public String getInteracaoDietaMedicamento() {
		return interacaoDietaMedicamento;
	}

	/**
	 * @param interacaoDietaMedicamento the interacaoDietaMedicamento to set
	 */
	public void setInteracaoDietaMedicamento(String interacaoDietaMedicamento) {
		this.interacaoDietaMedicamento = interacaoDietaMedicamento;
	}

	/**
	 * @return the precaucoesMedicamento
	 */
	public String getPrecaucoesMedicamento() {
		return precaucoesMedicamento;
	}

	/**
	 * @param precaucoesMedicamento the precaucoesMedicamento to set
	 */
	public void setPrecaucoesMedicamento(String precaucoesMedicamento) {
		this.precaucoesMedicamento = precaucoesMedicamento;
	}

	/**
	 * @return the alteracoesDiversasMedicamento
	 */
	public String getAlteracoesDiversasMedicamento() {
		return alteracoesDiversasMedicamento;
	}

	/**
	 * @param alteracoesDiversasMedicamento the alteracoesDiversasMedicamento to set
	 */
	public void setAlteracoesDiversasMedicamento(
			String alteracoesDiversasMedicamento) {
		this.alteracoesDiversasMedicamento = alteracoesDiversasMedicamento;
	}

	/**
	 * @return the outrasOrientacoesMedicamento
	 */
	public String getOutrasOrientacoesMedicamento() {
		return outrasOrientacoesMedicamento;
	}

	/**
	 * @param outrasOrientacoesMedicamento the outrasOrientacoesMedicamento to set
	 */
	public void setOutrasOrientacoesMedicamento(String outrasOrientacoesMedicamento) {
		this.outrasOrientacoesMedicamento = outrasOrientacoesMedicamento;
	}

}
