package br.ufpr.mityba.model;

/**
 * 
 * @author Mityba
 * @since 31/10/2008
 * @version 1.0
 *
 */

public class Usuario {
	
	private int idUsuario;
	private int cadastroUsuario;
	private int financeiroUsuario;
	private int agendaUsuario;
	private int tpAcessoUsuario;
	
	private String nomeUsuario;
	private String cpfUsuario;
	private String rgUsuario;
	private String crnUsuario;
	private String cepUsuario;
	private String logradouroUsuario;
	private String numLogradouroUsuario;
	private String complementoUsuario;
	private String bairroUsuario;
	private String cidadeUsuario;
	private String ufUsuario;
	private String foneResUsuario;
	private String foneCelUsuario;
	private String foneComUsuario;
	private String emailUsuario;
	private String loginUsuario;
	private String senhaUsuario;
		
	/**
	 * 
	 * @param idUsuario
	 * @param cadastroUsuario
	 * @param financeiroUsuario
	 * @param agendaUsuario
	 * @param nomeUsuario
	 * @param cpfUsuario
	 * @param rgUsuario
	 * @param crnUsuario
	 * @param cepUsuario
	 * @param logradouroUsuario
	 * @param numLogradouroUsuario
	 * @param complementoUsuario
	 * @param bairroUsuario
	 * @param cidadeUsuario
	 * @param ufUsuario
	 * @param foneResUsuario
	 * @param foneCelUsuario
	 * @param foneComUsuario
	 * @param emailUsuario
	 * @param loginUsuario
	 * @param senhaUsuario
	 * @param tpAcessoUsuario
	 */

	public Usuario(int idUsuario, int cadastroUsuario, int financeiroUsuario, int agendaUsuario, String nomeUsuario, 
				   String cpfUsuario, String rgUsuario, String crnUsuario, String cepUsuario, String logradouroUsuario,
				   String numLogradouroUsuario, String complementoUsuario, String bairroUsuario, String cidadeUsuario,
				   String ufUsuario, String foneResUsuario, String foneCelUsuario, String foneComUsuario, 
				   String emailUsuario, String loginUsuario, String senhaUsuario, int tpAcessoUsuario) 
	{
		setIdUsuario			(idUsuario);
		setNomeUsuario			(nomeUsuario);
		setCpfUsuario			(cpfUsuario);
		setRgUsuario			(rgUsuario);
		setCrnUsuario			(crnUsuario);
		setCepUsuario			(cepUsuario);
		setLogradouroUsuario	(logradouroUsuario);
		setNumLogradouroUsuario	(numLogradouroUsuario);
		setComplementoUsuario	(complementoUsuario);
		setBairroUsuario		(bairroUsuario);
		setCidadeUsuario		(cidadeUsuario);
		setUfUsuario			(ufUsuario);
		setFoneResUsuario		(foneResUsuario);
		setFoneCelUsuario		(foneCelUsuario);
		setFoneComUsuario		(foneComUsuario);
		setEmailUsuario			(emailUsuario);
		setLoginUsuario			(loginUsuario);
		setSenhaUsuario			(senhaUsuario);
		setCadastroUsuario		(cadastroUsuario);
		setFinanceiroUsuario	(financeiroUsuario);
		setAgendaUsuario		(agendaUsuario);
		setTpAcessoUsuario		(tpAcessoUsuario);
	}
	
	

	/**
	 * @return the tpAcessoUsuario
	 */
	public int getTpAcessoUsuario() {
		return tpAcessoUsuario;
	}



	/**
	 * @param tpAcessoUsuario the tpAcessoUsuario to set
	 */
	public void setTpAcessoUsuario(int tpAcessoUsuario) {
		this.tpAcessoUsuario = tpAcessoUsuario;
	}



	/**
	 * @return the idUsuario
	 */
	public int getIdUsuario() {
		return idUsuario;
	}

	/**
	 * @param idUsuario the idUsuario to set
	 */
	public void setIdUsuario(int idUsuario) {
		this.idUsuario = idUsuario;
	}

	/**
	 * @return the nomeUsuario
	 */
	public String getNomeUsuario() {
		return nomeUsuario;
	}

	/**
	 * @param nomeUsuario the nomeUsuario to set
	 */
	public void setNomeUsuario(String nomeUsuario) {
		this.nomeUsuario = nomeUsuario;
	}

	/**
	 * @return the cpfUsuario
	 */
	public String getCpfUsuario() {
		return cpfUsuario;
	}

	/**
	 * @param cpfUsuario the cpfUsuario to set
	 */
	public void setCpfUsuario(String cpfUsuario) {
		this.cpfUsuario = cpfUsuario;
	}

	/**
	 * @return the rgUsuario
	 */
	public String getRgUsuario() {
		return rgUsuario;
	}

	/**
	 * @param rgUsuario the rgUsuario to set
	 */
	public void setRgUsuario(String rgUsuario) {
		this.rgUsuario = rgUsuario;
	}

	/**
	 * @return the crnUsuario
	 */
	public String getCrnUsuario() {
		return crnUsuario;
	}

	/**
	 * @param crnUsuario the crnUsuario to set
	 */
	public void setCrnUsuario(String crnUsuario) {
		this.crnUsuario = crnUsuario;
	}

	/**
	 * @return the logradouroUsuario
	 */
	public String getLogradouroUsuario() {
		return logradouroUsuario;
	}

	/**
	 * @param logradouroUsuario the logradouroUsuario to set
	 */
	public void setLogradouroUsuario(String logradouroUsuario) {
		this.logradouroUsuario = logradouroUsuario;
	}

	/**
	 * @return the numLogradouroUsuario
	 */
	public String getNumLogradouroUsuario() {
		return numLogradouroUsuario;
	}

	/**
	 * @param numLogradouroUsuario the numLogradouroUsuario to set
	 */
	public void setNumLogradouroUsuario(String numLogradouroUsuario) {
		this.numLogradouroUsuario = numLogradouroUsuario;
	}

	/**
	 * @return the complementoUsuario
	 */
	public String getComplementoUsuario() {
		return complementoUsuario;
	}

	/**
	 * @param complementoUsuario the complementoUsuario to set
	 */
	public void setComplementoUsuario(String complementoUsuario) {
		this.complementoUsuario = complementoUsuario;
	}

	/**
	 * @return the bairroUsuario
	 */
	public String getBairroUsuario() {
		return bairroUsuario;
	}

	/**
	 * @param bairroUsuario the bairroUsuario to set
	 */
	public void setBairroUsuario(String bairroUsuario) {
		this.bairroUsuario = bairroUsuario;
	}

	/**
	 * @return the cidadeUsuario
	 */
	public String getCidadeUsuario() {
		return cidadeUsuario;
	}

	/**
	 * @param cidadeUsuario the cidadeUsuario to set
	 */
	public void setCidadeUsuario(String cidadeUsuario) {
		this.cidadeUsuario = cidadeUsuario;
	}

	/**
	 * @return the ufUsuario
	 */
	public String getUfUsuario() {
		return ufUsuario;
	}

	/**
	 * @param ufUsuario the ufUsuario to set
	 */
	public void setUfUsuario(String ufUsuario) {
		this.ufUsuario = ufUsuario;
	}

	/**
	 * @return the foneResUsuario
	 */
	public String getFoneResUsuario() {
		return foneResUsuario;
	}

	/**
	 * @param foneResUsuario the foneResUsuario to set
	 */
	public void setFoneResUsuario(String foneResUsuario) {
		this.foneResUsuario = foneResUsuario;
	}

	/**
	 * @return the foneCelUsuario
	 */
	public String getFoneCelUsuario() {
		return foneCelUsuario;
	}

	/**
	 * @param foneCelUsuario the foneCelUsuario to set
	 */
	public void setFoneCelUsuario(String foneCelUsuario) {
		this.foneCelUsuario = foneCelUsuario;
	}

	/**
	 * @return the foneComUsuario
	 */
	public String getFoneComUsuario() {
		return foneComUsuario;
	}

	/**
	 * @param foneComUsuario the foneComUsuario to set
	 */
	public void setFoneComUsuario(String foneComUsuario) {
		this.foneComUsuario = foneComUsuario;
	}

	/**
	 * @return the emailUsuario
	 */
	public String getEmailUsuario() {
		return emailUsuario;
	}

	/**
	 * @param emailUsuario the emailUsuario to set
	 */
	public void setEmailUsuario(String emailUsuario) {
		this.emailUsuario = emailUsuario;
	}

	/**
	 * @return the loginUsuario
	 */
	public String getLoginUsuario() {
		return loginUsuario;
	}

	/**
	 * @param loginUsuario the loginUsuario to set
	 */
	public void setLoginUsuario(String loginUsuario) {
		this.loginUsuario = loginUsuario;
	}

	/**
	 * @return the senhaUsuario
	 */
	public String getSenhaUsuario() {
		return senhaUsuario;
	}

	/**
	 * @param senhaUsuario the senhaUsuario to set
	 */
	public void setSenhaUsuario(String senhaUsuario) {
		this.senhaUsuario = senhaUsuario;
	}

	/**
	 * @return the cadastroUsuario
	 */
	public int getCadastroUsuario() {
		return cadastroUsuario;
	}

	/**
	 * @param cadastroUsuario the cadastroUsuario to set
	 */
	public void setCadastroUsuario(int cadastroUsuario) {
		this.cadastroUsuario = cadastroUsuario;
	}

	/**
	 * @return the financeiroUsuario
	 */
	public int getFinanceiroUsuario() {
		return financeiroUsuario;
	}

	/**
	 * @param financeiroUsuario the financeiroUsuario to set
	 */
	public void setFinanceiroUsuario(int financeiroUsuario) {
		this.financeiroUsuario = financeiroUsuario;
	}

	/**
	 * @return the agendaUsuario
	 */
	public int getAgendaUsuario() {
		return agendaUsuario;
	}

	/**
	 * @param agendaUsuario the agendaUsuario to set
	 */
	public void setAgendaUsuario(int agendaUsuario) {
		this.agendaUsuario = agendaUsuario;
	}



	/**
	 * @return the cepUsuario
	 */
	public String getCepUsuario() {
		return cepUsuario;
	}



	/**
	 * @param cepUsuario the cepUsuario to set
	 */
	public void setCepUsuario(String cepUsuario) {
		this.cepUsuario = cepUsuario;
	}

}
